<!-- https://docs.nativescript.org/angular/core-concepts/angular-navigation.html#page-router-outlet -->
<RadSideDrawer>
    <GridLayout tkDrawerContent row="auto,*" class="drawer-container sidedrawer sidedrawer-left" >
        <StackLayout>
        <StackLayout class="sidedrawer-header" verticalAlignment="top">
            <GridLayout columns="auto, *" class="profile">
                <StackLayout row="0" col="0" class="profile_img" verticalAlignment="center">
                    <Image src="https://placem.at/people?random=11&w=500&h=500&txt=0" class="sidedrawer-avatar"></Image>
                </StackLayout>
                <StackLayout row="0" col="1" class="profile_text" verticalAlignment="center">
                    <Label class="sidedrawer-header-text var" text="Viswanathan R Doctor"></Label>
                    <Label class="sidedrawer-header-footnote var" text="View and Edit Profile" nsRouterLink="/profile" [clearHistory]= 'true' ></Label>
                </StackLayout>
            </GridLayout>
        </StackLayout>
        <ScrollView row="1">
            <StackLayout  class="sidedrawer-content m-t-20">
                 <GridLayout columns="auto, *" class="sidedrawer-list-item"  tap="onNavigationItemTap">
                    <Label row="0" col="0" text="&#xf00a;" class="fa fa-solid sidedrawer-icon"></Label>
                    <Label row="0" col="1" text="Dashboard" class="m-l-20 sidedrawer-item"></Label>
                </GridLayout>
                <GridLayout columns="auto, *" class="sidedrawer-list-item"  tap="onNavigationItemTap">
                    <Label row="0" col="0" text="&#xf0c0;" class="fa-solid sidedrawer-icon"></Label>
                    <Label row="0" col="1" text="Connected Users" class="m-l-20 sidedrawer-item"></Label>
                </GridLayout>
                <GridLayout columns="auto, *" class="sidedrawer-list-item"  tap="onNavigationItemTap">
                    <Label row="0" col="0" text="&#xf0e8;" class="fa-solid sidedrawer-icon"></Label>
                    <Label row="0" col="1" text="Organizations" class="m-l-20 sidedrawer-item"></Label>
                </GridLayout>
                <GridLayout columns="auto, *" class="sidedrawer-list-item"  tap="onNavigationItemTap">
                    <Label row="0" col="0" text="&#xf27a;" class="fa-solid sidedrawer-icon"></Label>
                    <Label row="0" col="1" text="Chat Room" class="m-l-20 sidedrawer-item"></Label>
                </GridLayout>
                <GridLayout columns="auto, *" class="sidedrawer-list-item"  tap="onNavigationItemTap">
                    <Label row="0" col="0" text="&#xf0e0;" class="fa-solid sidedrawer-icon"></Label>
                    <Label row="0" col="1" text="Mailer" class="m-l-20 sidedrawer-item"></Label>
                </GridLayout>
                <GridLayout columns="auto, *" class="sidedrawer-list-item"  tap="onNavigationItemTap">
                    <Label row="0" col="0" text="&#xf0c0;" class="fa-solid sidedrawer-icon"></Label>
                    <Label row="0" col="1" text="Community" class="m-l-20 sidedrawer-item"></Label>
                </GridLayout>
                <GridLayout columns="auto, *" class="sidedrawer-list-item"  (tap)="logout()">
                    <Label row="0" col="0" text="&#xf2f5;" class="fa-solid sidedrawer-icon"></Label>
                    <Label row="0" col="1" text="Logout" class="m-l-20 sidedrawer-item"></Label>
                </GridLayout>
            </StackLayout>
        </ScrollView>
    </StackLayout>
    </GridLayout>
    <page-router-outlet tkMainContent class="page page-content"></page-router-outlet>
</RadSideDrawer>

